--- seamonkey.SlackBuild	2006-09-14 18:58:30.000000000 -0400
+++ seamonkey.SlackBuild.s390x	2007-01-28 13:55:17.000000000 -0500
@@ -13,6 +13,8 @@
 rm -rf mozilla
 tar xjvf $CWD/seamonkey-${VERSION}.source.tar.bz2
 cd mozilla
+cat $CWD/../mozilla-firefox/pangoxft.symbol.fix.diff | patch -p1 --backup --suffix=.orig || exit 1
+sleep 4
 
 # Make sure the perms/ownerships are sane:
 chown -R root:root .
@@ -29,12 +31,13 @@
 find . -perm 555 -exec chmod 755 {} \;
 
 # Add /usr/lib/mozilla/plugins to MOZ_PLUGINS_PATH:
-zcat $CWD/seamonkey.moz_plugin_path.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+zcat $CWD/seamonkey.moz_plugin_path.diff.new.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 rm -f xpfe/bootstrap/mozilla.in.orig
 
 chown -R root:root .
 BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 \
 ./configure --prefix=/usr \
+  --libdir=/usr/lib64 \
   --enable-optimize=-O2 \
   --disable-debug \
   --with-default-mozilla-five-home=/usr/lib/seamonkey-${VERSION} \
@@ -55,10 +58,18 @@
   --with-system-mng \
   --enable-application=suite \
   --enable-xft \
+  --disable-gnomevfs \
+  --disable-gnomeui \
+  --disable-xpcom-obsolete \
+  --disable-xpcom-fastload \
+  --with-pthreads \
+  --enable-xinerama \
+  --enable-default-toolkit=gtk2 \
+  --enable-pango \
   $ARCH-slackware-linux
 
-BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j5 -s export || exit 1
-BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j5 -s libs || exit 1
+BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j3 -s export || exit 1
+BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -j3 -s libs || exit 1
 BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 DESTDIR=$PKG make install || exit 1
 
 # Install nss headers.
@@ -67,10 +78,10 @@
 chown -R root:root $PKG/usr/include/seamonkey-${VERSION}/nss
 chmod 644 $PKG/usr/include/seamonkey-${VERSION}/nss/*
 
-# Link some libraries into /usr/lib.  Unless this is done, some things (like gaim's
+# Link some libraries into /usr/lib64.  Unless this is done, some things (like gaim's
 # plugin for MSN) will be unable to load them, even if they linked with them
 # successfully.
-( cd $PKG/usr/lib && ( for somelib in libmozjs.so libnspr4.so libnss3.so libplc4.so libplds4.so libsmime3.so libsoftokn3.so libssl3.so ; do
+( cd $PKG/usr/lib64 && ( for somelib in libmozjs.so libnspr4.so libnss3.so libplc4.so libplds4.so libsmime3.so libsoftokn3.so libssl3.so ; do
     # Link to it:
     ln -sf seamonkey-${VERSION}/$somelib .
   done )
@@ -98,10 +109,10 @@
 )
 
 # This remains the standard plugin directory for all browsers.
-mkdir -p $PKG/usr/lib/mozilla/plugins
+mkdir -p $PKG/usr/lib64/mozilla/plugins
 
 # Some software won't compile without this symlink:
-( cd $PKG/usr/lib
+( cd $PKG/usr/lib64
   if [ ! -e seamonkey ]; then
     ln -sf seamonkey-${VERSION} seamonkey
   fi
